//+------------------------------------------------------------------+
//|                                                       MAonMA.mq4 |
//|                                                 Copyright  2012 |
//|                                            
//+------------------------------------------------------------------+
#property copyright "Copyright  2012"
#property link      "RK"

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Lime
#property indicator_color2 Aqua
#property indicator_color3 Orange
#property indicator_level2 100
#property indicator_level2 -100
#property indicator_levelcolor Peru
//#property indicator_levelstyle 
//#property indicator_levelwidth

//---- input parameters
extern int maPeriod_1   = 5;
extern int maMethod_1   = 3; //0:SMA | 1:EMA | 2:SMMA | 3:LWMA"
extern int maAppPrice_1 = 6;  //0:CLOSE | 1:OPEN | 2: HIGH | 3:LOW | 4:MEDIAN | 5:TYPICAL | 6:WEIGHTED"
extern int maPeriod_2   = 13;
extern int maMethod_2   = 3;
extern int maAppPrice_2 = 6; 
extern int maPeriod_3   = 34;
extern int maMethod_3   = 3;
extern int maAppPrice_3 = 6; 
//---- indicator buffers
double a[]; 
double b[]; 
double c[];
//+------------------------------------------------------------------+
int init()
 {
   SetIndexBuffer(0, a);
   SetIndexBuffer(1, b);
   SetIndexBuffer(2, c);
   //---
   SetIndexDrawBegin(0, maPeriod_1);
   SetIndexDrawBegin(1, maPeriod_1);
   SetIndexDrawBegin(2, maPeriod_1);
   
   //---
   SetIndexStyle(0,DRAW_LINE,0,2);
   SetIndexStyle(1,DRAW_LINE,0,2);
   SetIndexStyle(2,DRAW_LINE,0,2);   
   //----
   SetIndexLabel(0,"Ma15");
   SetIndexLabel(1,"Ma60");
   SetIndexLabel(2,"Ma240");
   //---
   return(0);
 }
//+------------------------------------------------------------------+
int start()
 {
   int limit, i;
   int counted_bars=IndicatorCounted();
   //---
   if(counted_bars<0) return(-1);
   //----
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   //=====================
 
    for(i = 0; i < limit; i++)
    {
      a[i]=iMA(NULL, 0, maPeriod_1 , 0, maMethod_1, maAppPrice_1, i);
      b[i]=iMA(NULL, 0, maPeriod_2 , 0, maMethod_2, maAppPrice_2, i);
      c[i]=iMA(NULL, 0, maPeriod_3 , 0, maMethod_3, maAppPrice_3, i);
    }
 
 
 
 
  //----
   return(0);
 }
//+------------------------------------------------------------------+

